Subject: Re: bug#25360: File mode specification errors during building

From: Glenn Morris <[email-masked]>
Date: Sun, 12 Feb 2017 21:15:11 -0500

Glenn Morris wrote:

> BTW, I think this loaddefs stuff is now giving a bootstrap failure
> related to the "used to be in ldefs-boot" string-to-list.
>
> http://hydra.nixos.org/build/48432485

Since it's impossible to predict which autoloaded functions are going to
be needed in future bootstraps, no longer having a comprehensive
ldefs-boot seems to mean more cryptic failures of this sort are inevitable.
(Previously, this kind of thing could only happen if a new autoload
was added that was needed for bootstrap, which was rare and hopefully
obvious.)